Public Class frmPharmacyBuys
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Dim flag As Boolean = False
    Private Sub frmPharmacyBuys_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        SqlConnection1.ConnectionString = constring2
        ds.EnforceConstraints = False
        SqlConnection1.Open()
        Dim str As String = "SELECT * FROM BUYS ORDER BY D1"
        SqlDataAdapter1 = New SqlClient.SqlDataAdapter(str, SqlConnection1)
        ds.Clear()
        SqlDataAdapter1.Fill(ds, "BUYS")
        BS.DataSource = ds
        BS.DataMember = "BUYS"
        ds.EnforceConstraints = True
        SqlDataAdapter1.Dispose()
        SqlConnection1.Close()
        RecordCount()
        FILLCOMBOBOX("ITEMS", "E3", Me.TEXT3)
        FILLCOMBOBOX("ITEMS", "E4", Me.TEXT4)
    End Sub
    Private Sub RecordCount()
        On Error Resume Next
        Dim TotalRecords, CurrenRecordst As Integer
        Dim Back As Boolean = False
        Dim Forward As Boolean = False
        TotalRecords = BS.Count
        CurrenRecordst = BS.Position + 1
        RECORDSLABEL.Text = CurrenRecordst.ToString & "  " & TotalRecords.ToString
        If BS.Position > 0 Then
            Back = True
        End If
        If BS.Position < ds.Tables("BUYS").Rows.Count - 1 Then
            Forward = True
        End If
        FIRSTBUTTON.Enabled = Back
        PREVIOUSBUTTON.Enabled = Back
        NEXTBUTTON.Enabled = Forward
        LASTBUTTON.Enabled = Forward
        DISPLAYRECORD()
    End Sub
    Private Sub BS_PositionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles BS.PositionChanged
        On Error Resume Next
        RecordCount()
    End Sub
    Private Sub ADDBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ADDBUTTON.Click
        On Error Resume Next
        CLEARDATA()
        MAXRECORD()
        TEXT2.Focus()
    End Sub
    Private Sub CLEARDATA()
        On Error Resume Next
        Dim txt As Control
        Dim chk As CheckBox
        For Each txt In Me.Controls
            If TypeOf txt Is TextBox Or TypeOf txt Is ComboBox Then
                txt.Text = ""
            End If
        Next
    End Sub
    Private Sub MAXRECORD()
        On Error Resume Next
        Dim V As Integer
        Dim SQL As String = "SELECT MAX(D1) FROM BUYS"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
            SqlConnection1.Open()
            .CommandText = SQL
            V = .ExecuteScalar()
        End With
        Me.TEXT1.Text = Val(V) + 1
        SqlConnection1.Close()
    End Sub
    Private Sub DELETEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DELETEBUTTON.Click
        MYDELETERECORD("BUYS", "D1", TEXT1, BS, True)
        frmPharmacyBuys_Load(sender, e)
    End Sub
    Private Sub BUTTONCANCEL_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BUTTONCANCEL.Click
        On Error Resume Next
        BS.CancelEdit()
        RecordCount()
    End Sub
    Private Sub FIRSTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles FIRSTBUTTON.Click
        On Error Resume Next
        BS.Position = 0
        RecordCount()
    End Sub
    Private Sub PREVIOUSBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PREVIOUSBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position - 1
        RecordCount()
    End Sub
    Private Sub NEXTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NEXTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Position + 1
        RecordCount()
    End Sub
    Private Sub LASTBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LASTBUTTON.Click
        On Error Resume Next
        BS.Position = BS.Count - 1
        RecordCount()
    End Sub
    Private Sub SAVEBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SAVEBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Count
        SAVERECORD()
        frmPharmacyBuys_Load(sender, e)
        RecordCount()
        Me.BS.Position = P + 1
    End Sub
    Private Sub SAVERECORD()
        On Error Resume Next
        Dim SQL As String = "INSERT INTO BUYS(D1, D2, D3, D4, D5, D6) VALUES     (@D1, @D2, @D3, @D4, @D5, @D6)"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@D1", SqlDbType.Int).Value = Me.TEXT1.Text.Trim
            .Parameters.Add("@D2", SqlDbType.DateTime).Value = Me.TEXT2.Text.Trim
            .Parameters.Add("@D3", SqlDbType.NVarChar).Value = Me.TEXT3.Text.Trim
            .Parameters.Add("@D4", SqlDbType.NVarChar).Value = Me.TEXT4.Text.Trim
            .Parameters.Add("@D5", SqlDbType.Float).Value = Me.TEXT5.Text.Trim
            .Parameters.Add("@D6", SqlDbType.Float).Value = Me.TEXT6.Text.Trim
            .CommandText = SQL
        End With
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub DISPLAYRECORD()
        On Error Resume Next
        With Me
            .TEXT1.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D1").ToString
            .TEXT2.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D2").ToString
            .TEXT3.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D3").ToString
            .TEXT4.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D4").ToString
            .TEXT5.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D5").ToString
            .TEXT6.Text = ds.Tables("BUYS").Rows(Me.BS.Position)("D6").ToString
        End With
    End Sub
    Private Sub EDITBUTTON_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EDITBUTTON.Click
        On Error Resume Next
        Static P As Integer
        P = Me.BS.Position
        UPDATERECORD()
        frmPharmacyBuys_Load(sender, e)
        Me.BS.Position = P
        RecordCount()
    End Sub
    Private Sub UPDATERECORD()
        On Error Resume Next
        Dim SQL As String = " Update BUYS SET  D2 = @D2, D3 = @D3, D4 = @D4, D5 = @D5, D6 = @D6 WHERE D1 = @D1"
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        With CMD
            .CommandType = CommandType.Text
            .Connection = SqlConnection1
            .Parameters.Add("@D1", SqlDbType.Int).Value = Me.TEXT1.Text.Trim
            .Parameters.Add("@D2", SqlDbType.DateTime).Value = Me.TEXT2.Text.Trim
            .Parameters.Add("@D3", SqlDbType.NVarChar).Value = Me.TEXT3.Text.Trim
            .Parameters.Add("@D4", SqlDbType.NVarChar).Value = Me.TEXT4.Text.Trim
            .Parameters.Add("@D5", SqlDbType.Float).Value = Me.TEXT5.Text.Trim
            .Parameters.Add("@D6", SqlDbType.Float).Value = Me.TEXT6.Text.Trim
            .CommandText = SQL
        End With
        CMD.CommandText = SQL
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub frmUsers_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        On Error Resume Next
        SqlConnection1.Dispose()
    End Sub
    Private Sub TEXT5_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TEXT5.TextChanged, TEXT6.TextChanged
        On Error Resume Next
        Me.TEXT7.Text = Val(TEXT5.Text) * Val(TEXT6.Text)
    End Sub
End Class