Imports System.IO
Imports System.Resources.ResourceManager
Imports System.Data.Common
Imports Microsoft.Win32
Imports Microsoft.CSharp.CSharpCodeProvider
Public Class frmPharmacyMain
    Inherits System.Windows.Forms.Form
    Dim WithEvents BS As New BindingSource
    Dim WithEvents BMB As BindingManagerBase
    Dim HCal As New System.Globalization.HijriCalendar
    Public sName1 As String
    Private Sub SHOWMENU()
        On Error Resume Next
        Me.MAIN1.Enabled = M1
        Me.MAIN2.Enabled = M8
    End Sub
    Private Sub frmPharmacyMain_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        On Error Resume Next
        Application.DoEvents()
        SqlConnection1.Dispose()
        Me.NotifyIcon1.Visible = False
        End
    End Sub
    Private Sub frmPharmacyMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        On Error Resume Next
        Application.DoEvents()
        TBUTTON3.Enabled = True
        TBUTTON4.Enabled = True
        SHOWMENU()
        Dim resault1 As String
        Dim resault2 As String
        resault1 = mykey.GetValue("NEWEVENTS", "NO")
        resault2 = mykey.GetValue("LANGUAGE", "ARABIC")
        If resault1 = "YES" Then
            Me.Timer2.Start()
        ElseIf resault1 = "NO" Then
            Me.Timer2.Stop()
        End If
        If resault2 = "ARABIC" Then
            InputLanguage.CurrentInputLanguage = InputLanguage.InstalledInputLanguages().Item(1) '      
        ElseIf resault2 = "ENGLISH" Then
            InputLanguage.CurrentInputLanguage = InputLanguage.InstalledInputLanguages().Item(0) '      
        End If
        MENU1037.Enabled = False
    End Sub
    Private Sub NEWFILE(ByVal TABLE As String)
        On Error Resume Next
        Dim SqlConnection1 As New SqlClient.SqlConnection(constring2)
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        Dim SQL As String = "DELETE  FROM " & TABLE
        CMD.CommandText = SQL
        CMD.ExecuteNonQuery()
        SqlConnection1.Close()
    End Sub
    Private Sub MENU1006_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1006.Click
        On Error Resume Next
        Dim dt As String
        Dim tm As String
        Dim SqlConnection1 As New SqlClient.SqlConnection(constring2)
        Dim CMD As SqlClient.SqlCommand = New SqlClient.SqlCommand
        CMD.CommandType = CommandType.Text
        CMD.Connection = SqlConnection1
        If SqlConnection1.State = ConnectionState.Open Then SqlConnection1.Close()
        SqlConnection1.Open()
        CMD.CommandText = "backup database AQSA to disk=@PATHFILE with init"
        dt = Format(Now, "dd-MM-yyyy-hh-mm-tt")
        Directory.CreateDirectory(Application.StartupPath & "\BACKUPAQSA")
        CMD.Parameters.Add("@PATHFILE", SqlDbType.NVarChar, 255).Value = Application.StartupPath & "\BACKUPAQSA\AQSA" + dt + ".dmp"
        CMD.ExecuteNonQuery()
        SqlConnection1.Dispose()
    End Sub
    Private Sub MENU1007_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1007.Click
        On Error Resume Next
        Dim resault As Integer
        resault = MessageBox.Show("       " & vbCrLf & vbCrLf & "       ޿", " ", MessageBoxButtons.YesNo, MessageBoxIcon.Stop, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
        MENU1006_Click(sender, e)
        If resault = vbYes Then
            Me.Cursor = Cursors.WaitCursor
            NEWFILE("BUYS")
            NEWFILE("COSTS")
            NEWFILE("CUSTOMERS")
            NEWFILE("ITEMS")
            NEWFILE("SALARIES")
            NEWFILE("SALES")
            NEWFILE("STOCKS")
            NEWFILE("SUPPLIES")
            Dim F As New frmPharmacyUsers
            F.Show()
            SqlConnection1.Dispose()
            Me.Cursor = Cursors.Default
        Else
            MessageBox.Show("   ", " ", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button2, MessageBoxOptions.RtlReading)
            Exit Sub
        End If
    End Sub
    Private Sub TBUTTON2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON2.Click
        On Error Resume Next
        Shell("rundll32.exe shell32.dll,Control_RunDLL timedate.cpl")
    End Sub
    Private Sub TBUTTON3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON3.Click
        On Error Resume Next
        InputLanguage.CurrentInputLanguage = InputLanguage.InstalledInputLanguages().Item(1) '      
    End Sub
    Private Sub TBUTTON4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON4.Click
        On Error Resume Next
        InputLanguage.CurrentInputLanguage = InputLanguage.InstalledInputLanguages().Item(0) '      
    End Sub
    Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        On Error Resume Next
        Application.DoEvents()
        Static n As Long
        Static m As Long
        Static h As Long
        n = n + 1
        Me.TSL1.Text = n
        If n = 60 Then
            m = m + 1
            n = 1
            Me.TSL2.Text = m
        End If
        If m = 60 Then
            h = h + 1
            m = 0
            Me.TSL2.Text = m
            Me.TSL3.Text = h
        End If
        Dim HCal As New System.Globalization.HijriCalendar
        Dim strDate As String
        Dim dt As DateTime = DateTime.Now
        System.Threading.Thread.CurrentThread.CurrentCulture = New System.Globalization.CultureInfo("ar-EG")
        Dim ci As New System.Globalization.CultureInfo("ar-SA")
        Me.TSL4.Text = Format(Now, "hh:mm:ss tt")
        Me.TSL5.Text = Format(Now, "dd--MMMM--yyyy")
        Me.TSL6.Text = dt.ToString("dd--MMMMM--yyyy", ci)
        Me.NotifyIcon1.Text = ""
    End Sub
    Private Sub TBUTTON5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON5.Click
        On Error Resume Next
        Me.Timer2.Enabled = Not Me.Timer2.Enabled
    End Sub
    Private Sub Timer3_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer3.Tick
        On Error Resume Next
        Dim resault As String
        Dim resault1 As String
        Static tm As Integer
        tm = tm + 1
        Application.DoEvents()
        resault = mykey.GetValue("BACKUPTIME", "NO")
        resault1 = mykey.GetValue("BACKUPCOMBO", "60")
        If resault = "YES" And tm = resault1 Then
            MENU1006_Click(sender, e)
        End If
        If tm = resault1 Then tm = 0
    End Sub
    Private Sub MENU1001_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1001.Click
        On Error Resume Next
        Shell("Calc.exe", AppWinStyle.NormalFocus)
    End Sub
    Private Sub MENU1005_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        On Error Resume Next
        Dim F As New frmPharmacyUsers
        F.Show()
    End Sub
    Private Sub CMENNU1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENNU1.Click
        On Error Resume Next
        MENU1001_Click(sender, e)
    End Sub
    Private Sub CMENNU5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENNU5.Click
        On Error Resume Next
        MENU1005_Click(sender, e)
    End Sub
    Private Sub CMENNU6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENNU6.Click
        On Error Resume Next
        MENU1006_Click(sender, e)
    End Sub
    Private Sub CMENNU7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENNU7.Click
        On Error Resume Next
        MENU1007_Click(sender, e)
    End Sub
    Private Sub CMENU36_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENU36.Click
        On Error Resume Next
        MENU1036_Click_1(sender, e)
    End Sub
    Private Sub CMENU37_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMENU37.Click
        On Error Resume Next
        MENU1037_Click_1(sender, e)
    End Sub
    Private Sub TBUTTON6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON6.Click
        On Error Resume Next
        MYSHUTDOWN(0)
    End Sub
    Private Sub TBUTTON7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON7.Click
        On Error Resume Next
        MYSHUTDOWN(1)
    End Sub
    Private Sub TBUTTON8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TBUTTON8.Click
        On Error Resume Next
        MYSHUTDOWN(2)
    End Sub
    Private Sub MENU1038_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1038.Click
        On Error Resume Next
        Dim F As New frmPharmacyUsers
        F.Show()
    End Sub
    Private Sub MENU1_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1.Click
        On Error Resume Next
        Dim F As New frmPharmacyCustomers
        F.Show()
    End Sub
    Private Sub MENU2_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU2.Click
        On Error Resume Next
        Dim F As New frmPharmacySuppliers
        F.Show()
    End Sub
    Private Sub MENU3_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU3.Click
        On Error Resume Next
        Dim F As New frmPharmacySales
        F.Show()
    End Sub
    Private Sub MENU4_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU4.Click
        On Error Resume Next
        Dim F As New frmPharmacyBuys
        F.Show()
    End Sub
    Private Sub MENU5_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU5.Click
        On Error Resume Next
        Dim F As New frmPharmacyItems
        F.Show()
    End Sub
    Private Sub MENU6_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU6.Click
        On Error Resume Next
        Dim F As New frmPharmacyStocks
        F.Show()
    End Sub
    Private Sub MENU7_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU7.Click
        On Error Resume Next
        Dim F As New frmPharmacySalaries
        F.Show()
    End Sub
    Private Sub MENU8_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU8.Click
        On Error Resume Next
        Dim F As New frmPharmacyCosts
        F.Show()
    End Sub
    Private Sub CMNU1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU1.Click
        On Error Resume Next
        MENU1_Click_1(sender, e)
    End Sub
    Private Sub CMNU2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU2.Click
        On Error Resume Next
        MENU2_Click_1(sender, e)
    End Sub
    Private Sub CMNU3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU3.Click
        On Error Resume Next
        MENU3_Click_1(sender, e)
    End Sub
    Private Sub CMNU4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU4.Click
        On Error Resume Next
        MENU4_Click_1(sender, e)
    End Sub
    Private Sub CMNU5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU5.Click
        On Error Resume Next
        MENU5_Click_1(sender, e)
    End Sub
    Private Sub CMNU6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU6.Click
        On Error Resume Next
        MENU6_Click_1(sender, e)
    End Sub
    Private Sub CMNU7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU7.Click
        On Error Resume Next
        MENU7_Click_1(sender, e)
    End Sub
    Private Sub CMNU8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CMNU8.Click
        On Error Resume Next
        MENU8_Click_1(sender, e)
    End Sub
    Private Sub MENU1036_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1036.Click
        On Error Resume Next
        BUTTON1 = False
        BUTTON2 = False
        BUTTON3 = False
        BUTTON4 = False
        M1 = False
        M2 = False
        M3 = False
        M4 = False
        M5 = False
        M6 = False
        M7 = False
        M8 = False
        SHOWMENU()
        MENU1036.Enabled = False
        MENU1037.Enabled = True
    End Sub
    Private Sub MENU1037_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MENU1037.Click
        On Error Resume Next
        Me.Dispose()
        Dim F As New frmPharmacyLogin
        F.Show()
        MENU1036.Enabled = True
        MENU1037.Enabled = False
    End Sub
End Class